<?php

namespace Pinpoint\BlankProduct\Setup;

use Magento\Framework\Setup\ModuleDataSetupInterface;
use \Magento\Eav\Setup\EavSetupFactory;

/**
 * @codeCoverageIgnore
 */
class UpgradeData extends \Pinpoint\Core\Model\Setup\PinpointUpgrade
{
    /**
     * @var EavSetupFactory
     */
    protected $eavSetupFactory;

    /**
     * UpgradeData constructor.
     * @param \Magento\Framework\Module\Dir\Reader $moduleReader
     * @param \Magento\Framework\Xml\Parser $reader
     * @param EavSetupFactory $eavSetupFactory
     */
    public function __construct(
        \Magento\Framework\Module\Dir\Reader $moduleReader,
        \Magento\Framework\Xml\Parser $reader,
        EavSetupFactory $eavSetupFactory
    ) {
        parent::__construct($moduleReader, $reader);

        $this->eavSetupFactory = $eavSetupFactory;
    }

    /**
     * @param ModuleDataSetupInterface $setup
     */
    public function upgrade_0_0_1(ModuleDataSetupInterface $setup)
    {
        $setup->startSetup();

        /** @var \Magento\Eav\Setup\EavSetup $eavSetup */
        $eavSetup = $this->eavSetupFactory->create(['setup' => $setup]);
        $eavSetup->addAttribute(
            \Magento\Catalog\Model\Product::ENTITY,
            'blank_products',
            [
                'type' => 'text',
                'label' => 'Blank Product(s)',
                'input' => 'text',
                'required' => false,
                'sort_order' => 9999,
                'global' => \Magento\Eav\Model\Entity\Attribute\ScopedAttributeInterface::SCOPE_STORE,
                'note' => 'Format: {SKU}|{QTY},{SKU}|{QTY},{SKU}|{QTY}'
            ]
        );

        $setup->endSetup();
    }
}